from pathlib import Path

import funkify

from .main import cli
from .md import Markdown, recursive_read

__all__ = ['cli', 'Markdown']

@funkify
def stream(file_or_content: str):
  if Path(file_or_content).exists():
    lines = recursive_read(file_or_content)
  else:
    lines.split("\n") if isinstance(lines, str) else lines
  md = Markdown(lines=lines)
  md.stream()